#all configuration
from Parameters import Parameters

#nemus
from gui.MainMenu import MainMenu
from gui.InGameMenu import InGameMenu
from gui.NewGameMenu import NewGameMenu
from gui.OptionsMenu import OptionsMenu
from gui.MultiplayerMenu import MultiplayerMenu
from gui.LoadMenu import LoadMenu
from gui.SaveMenu import SaveMenu

#grabage colector
import gc
gc.enable()
#debug
gc.set_debug(gc.DEBUG_LEAK)

#basicly just connecting all menus
class UserInterface:#( DirectObject ):
    def __init__(self):
        self.activeMenu = None
        
        self.params = Parameters()
        self.mainMenu = MainMenu(self)
        self.inGameMenu = InGameMenu(self, self.params)
        self.multiplayerMenu = MultiplayerMenu(self, self.params)
        self.optionsMenu = OptionsMenu(self, self.params)
    
    #main menu actions
    def newGame(self):
        self.mainMenu.hide()
        self.multiplayerMenu.hide()
        self.optionsMenu.hide()
        self.inGameMenu.activate()
        
    def multiplayerMenu(self):
        self.multiplayerMenu.show()
        self.optionsMenu.hide()
        
    def optionsMenu(self):
        self.multiplayerMenu.hide()
        self.optionsMenu.show()
    
    def exit(self):
        self.params.__del__()
        self.mainMenu.__del__()
        self.multiplayerMenu.__del__()
        self.optionsMenu.__del__()
        exit()
    
        
    #multiplayer menu actions
    def serverStart(self):
        print "starting network server"
    
    def serverJoin(self):
        print "joining network server"
    
    #ingame menu actions    
    def cont(self):
        print "continuing game"
        
    def save(self):
        print "saving game"
        
    def load(self):
        print "loading game"
        
    def cont(self):
        print "continuing game"
        
    def show(self):
        print "do some stuff, like make active main menu or etc"
    
    def options(self):
        print "showing game options"
        
    def gotoMain(self):
        self.inGameMenu.deactivate()
        self.inGameMenu.hide()
        self.mainMenu.show()
        print "dhowing main menu"